OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

EnumPropsT< RailType > Struct Template Reference

Allow incrementing of Track variables. More...

`#include <rail_type.h>`

Inheritance diagram for EnumPropsT< RailType >:

## Additional Inherited Members
Public Types inherited from MakeEnumPropsT< RailType, byte, RAILTYPE_BEGIN, RAILTYPE_END, INVALID_RAILTYPE, 4 >
typedef RailType | type
| enum type (i.e. Trackdir)
typedef byte | storage
| storage type (i.e. byte)
Static Public Attributes inherited from MakeEnumPropsT< RailType, byte, RAILTYPE_BEGIN, RAILTYPE_END, INVALID_RAILTYPE, 4 >
static const RailType | begin
| lowest valid value (i.e. TRACKDIR_BEGIN)
static const RailType | end
| one after the last valid value (i.e. TRACKDIR_END)
static const RailType | invalid
| what value is used as invalid value (i.e. INVALID_TRACKDIR)
static const uint | num_bits
| Number of bits for storing the enum in command parameters.

## Detailed Description

### template<>
struct EnumPropsT< RailType >

Allow incrementing of Track variables.

Define basic enum properties

Definition at line 46 of file rail_type.h.

The documentation for this struct was generated from the following file:

- src/rail_type.h